REST reference
Users
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
curl -X GET "https://example.com/users"[ { "id": "string", "username": "string", "name": "string", "email": "string" }]curl -X POST "https://example.com/users" \ -H "Content-Type: application/json" \ -d '{ "username": "string" }'{ "userId": "string", "username": "string", "password": "string"}GET
/users/managedQuery Parameters
page?integer
Format
int32pageSize?integer
Format
int32search?string
includeBlocked?boolean
temporaryOnly?boolean
Response Body
curl -X GET "https://example.com/users/managed"{ "items": [ { "id": "string", "username": "string", "firstName": "string", "lastName": "string", "email": "string", "emailConfirmed": true, "approvedAt": "string", "note": "string", "tags": [ "string" ], "isTemporary": true, "expiresAt": "string", "blockedAt": "string", "blockedReason": "string", "createdAt": "string", "lastSeenAt": "string", "grantCount": 0 } ], "total": 0, "page": 0, "pageSize": 0}curl -X POST "https://example.com/users/temporary" \ -H "Content-Type: application/json" \ -d '{ "prefix": "string", "count": 0 }'[ { "userId": "string", "username": "string", "password": "string" }]PUT
/users/{id}Path Parameters
id*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/users/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "username": "string", "firstName": "string", "lastName": "string", "email": "string", "emailConfirmed": true, "approvedAt": "string", "note": "string", "tags": [ "string" ], "isTemporary": true, "expiresAt": "string", "blockedAt": "string", "blockedReason": "string", "createdAt": "string", "lastSeenAt": "string", "grantCount": 0}POST
/users/{id}/blockedPath Parameters
id*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/users/string/blocked" \ -H "Content-Type: application/json" \ -d '{ "blocked": true }'{ "id": "string", "username": "string", "firstName": "string", "lastName": "string", "email": "string", "emailConfirmed": true, "approvedAt": "string", "note": "string", "tags": [ "string" ], "isTemporary": true, "expiresAt": "string", "blockedAt": "string", "blockedReason": "string", "createdAt": "string", "lastSeenAt": "string", "grantCount": 0}POST
/users/{id}/merge-previewPath Parameters
id*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/users/string/merge-preview" \ -H "Content-Type: application/json" \ -d '{ "targetUserId": "string" }'{ "sourceUserId": "string", "sourceLogin": "string", "sourceName": "string", "sourceIsTemporary": true, "targetUserId": "string", "targetLogin": "string", "targetName": "string", "submissions": 0, "questions": 0, "activities": 0, "activityNames": [ "string" ], "blockers": [ "string" ]}POST
/users/{id}/mergePath Parameters
id*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/users/string/merge" \ -H "Content-Type: application/json" \ -d '{ "targetUserId": "string" }'{ "id": "string", "sourceUserId": "string", "targetUserId": "string", "mergedAt": "string", "mergedByUserId": "string", "anonymiseAfter": "string", "sourceAnonymisedAt": "string", "undoneAt": "string", "canUndo": true}curl -X POST "https://example.com/users/merges/497f6eca-6276-4993-bfeb-53cbbbba6f08/undo"{ "id": "string", "sourceUserId": "string", "targetUserId": "string", "mergedAt": "string", "mergedByUserId": "string", "anonymiseAfter": "string", "sourceAnonymisedAt": "string", "undoneAt": "string", "canUndo": true}curl -X POST "https://example.com/users/string/approve"{ "id": "string", "username": "string", "firstName": "string", "lastName": "string", "email": "string", "emailConfirmed": true, "approvedAt": "string", "note": "string", "tags": [ "string" ], "isTemporary": true, "expiresAt": "string", "blockedAt": "string", "blockedReason": "string", "createdAt": "string", "lastSeenAt": "string", "grantCount": 0}curl -X POST "https://example.com/users/string/password"{ "userId": "string", "username": "string", "password": "string"}curl -X GET "https://example.com/users/string/sessions"[ { "id": "string", "connections": 0, "startedAt": "string", "lastRequestAt": "string", "lastRequestPath": "string", "ipAddress": "string", "userAgent": "string", "expiresAt": "string", "isCurrent": true }]